using CanteenContracts.BindingModels;
using CanteenContracts.SearchModel;
using CanteenContracts.View;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CanteenContracts.StoragesContracts
{
    public interface ICookStorage
    {
        List<CookViewModel> GetFullList();
        List<CookViewModel> GetFilteredList(CookSearchModel model);
        CookViewModel? GetElement(CookSearchModel model);
        CookViewModel? Insert(CookBindingModel model);
        CookViewModel? Update(CookBindingModel model);
        CookViewModel? Delete(CookBindingModel model);
    }
}
